Skip to main content
PUT
/
cleemy-procurement
/
api
/
suppliers
/
{id}
Update Supplier
curl --request PUT \
  --url https://{host}/cleemy-procurement/api/suppliers/{id} \
  --header 'Authorization: <authorization>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "state": "Active",
  "territory": {
    "id": 123
  },
  "territoryId": "<string>",
  "legalRegistration": {
    "identifier": "<string>",
    "vatNumber": "<string>"
  },
  "contacts": [
    {
      "firstName": "<string>",
      "lastName": "<string>",
      "email": "jsmith@example.com",
      "phone": "<string>"
    }
  ],
  "paymentTerm": {
    "value": 123,
    "unit": "Day"
  },
  "bankAccount": {
    "iban": "<string>",
    "bic": "<string>"
  },
  "preferredNatureId": 123,
  "preferredPaymentMethod": "BankTransfer",
  "preferredCostCenterId": 123
}
'
{
  "id": 123,
  "name": "<string>",
  "state": "Active",
  "territory": {
    "id": 123,
    "name": "<string>",
    "href": "<string>"
  },
  "legalRegistration": {
    "identifier": "<string>",
    "vatNumber": "<string>"
  },
  "contacts": [
    {
      "firstName": "<string>",
      "lastName": "<string>",
      "email": "jsmith@example.com",
      "phone": "<string>"
    }
  ],
  "paymentTerm": {
    "value": 123,
    "unit": "Day"
  },
  "bankAccount": {
    "iban": "<string>",
    "bic": "<string>"
  },
  "preferredNature": {
    "id": 123,
    "name": "<string>",
    "href": "<string>"
  },
  "preferredPaymentMethod": "BankTransfer",
  "preferredCostCenter": {
    "id": 123,
    "name": "<string>",
    "code": "<string>",
    "href": "<string>"
  },
  "establishments": [
    {
      "id": 123,
      "name": "<string>",
      "href": "<string>"
    }
  ],
  "flag": "Unflagged"
}

Headers

Authorization
string
required

API key. Value must be formatted like so: lucca application={api_key}.

Path Parameters

id
integer<int32>
required

ID of the supplier.

Body

application/json

Supplier to update.

A supplier.

name
string
state
enum<string>
Available options:
Active,
Archived
territory
Reference to a territory · object

Read-only. Territory of the supplier.

territoryId
string

Write-only. ID of the territory.

contacts
object[]
paymentTerm
object

Default payment term for this supplier.

bankAccount
object
preferredNatureId
integer<int32> | null

Write-only. ID of the preferred nature.

preferredPaymentMethod
enum<string> | null

BankTransfer: bank transfer. PhysicalCard: physical card. Check: check. DirectDebit: direct debit. SingleUseCard: single use card.

Available options:
BankTransfer,
PhysicalCard,
Check,
DirectDebit,
SingleUseCard
preferredCostCenterId
integer<int32> | null

Write-only. ID of the preferred cost-center.

Response

200 - application/json

OK

A supplier.

id
integer<int32>
name
string
state
enum<string>
Available options:
Active,
Archived
territory
Reference to a territory · object

Read-only. Territory of the supplier.

contacts
object[]
paymentTerm
object

Default payment term for this supplier.

bankAccount
object
preferredNature
object

Read-only. Preferred nature for this supplier.

preferredPaymentMethod
enum<string> | null

BankTransfer: bank transfer. PhysicalCard: physical card. Check: check. DirectDebit: direct debit. SingleUseCard: single use card.

Available options:
BankTransfer,
PhysicalCard,
Check,
DirectDebit,
SingleUseCard
preferredCostCenter
Reference to a cost-center · object

Read-only. Preferred cost-center for this supplier.

establishments
Reference to an establishment · object[]

Read-only. Establishments associated with this supplier.

flag
enum<string>
Available options:
Unflagged,
Flagged